org.eclnt.jsfserver.elements.impl

## Interface IFIXGRIDPdfExporter

- All Known Implementing Classes:
    FIXGRIDPDFExporter

      public interface IFIXGRIDPdfExporter

  Interface for creating pdf document out of grid data. Default implementation is `FIXGRIDPDFExporter`.
  Please use the default implementation for sub-classing.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `exportGridToPdf(FIXGRIDBinding fixgrid, java.util.List<ColumnInfo> columns, java.util.List<java.util.List<java.lang.String>> data, boolean selctedItemsOnly)` Creation of pdf document.
    `float` | `getColumnSizeFactor()`
    `void` | `initPageSize(float width, float height)` Explicit definition of page size.
    `void` | `setColumnSizeFactor(float columnSizeFactor)` There is a calculation of column widths which is based in the width definition inside the FIXGRID component.
    `void` | `setExportInfoProvider(IFIXGRIDExportInfoProvider exportInfoProvider)` Optional call back interface which allows the exporter to get more information about individual data rows/cells.
    `void` | `setFontDataline(Font value)`
    `void` | `setFontFooterline(Font value)`
    `void` | `setFontHeadline(Font value)`
    `void` | `setFontselectorDataline(FontSelector value)`
    `void` | `setFontselectorFooterline(FontSelector value)`
    `void` | `setFontselectorHeadline(FontSelector value)`
    `void` | `setFontselectorTitle(FontSelector value)`
    `void` | `setFontTitle(Font value)`
    `void` | `setGridTitle(java.lang.String title)` Setting of title text that is printed before the grid.

- - ### Method Detail

    - #### setGridTitle

          void setGridTitle(java.lang.String title)

      Setting of title text that is printed before the grid.

    - #### exportGridToPdf

          byte[] exportGridToPdf(FIXGRIDBinding fixgrid,
                                 java.util.List<ColumnInfo> columns,
                                 java.util.List<java.util.List<java.lang.String>> data,
                                 boolean selctedItemsOnly)

      Creation of pdf document.

    - #### initPageSize

          void initPageSize(float width,
                            float height)

      Explicit definition of page size. If not called then DIN A4 will be used as page size.

    - #### setExportInfoProvider

          void setExportInfoProvider(IFIXGRIDExportInfoProvider exportInfoProvider)

      Optional call back interface which allows the exporter to get more information about individual data rows/cells.

    - #### setColumnSizeFactor

          void setColumnSizeFactor(float columnSizeFactor)

      There is a calculation of column widths which is based in the width definition inside the FIXGRID component. You can influence this calculation by assigning a factor. The calculated width is multiplied with the factor after calculation. The default value of the factor is 1f representing "100%".

    - #### getColumnSizeFactor

          float getColumnSizeFactor()

    - #### setFontTitle

          void setFontTitle(Font value)

    - #### setFontHeadline

          void setFontHeadline(Font value)

    - #### setFontFooterline

          void setFontFooterline(Font value)

    - #### setFontDataline

          void setFontDataline(Font value)

    - #### setFontselectorTitle

          void setFontselectorTitle(FontSelector value)

    - #### setFontselectorHeadline

          void setFontselectorHeadline(FontSelector value)

    - #### setFontselectorFooterline

          void setFontselectorFooterline(FontSelector value)

    - #### setFontselectorDataline

          void setFontselectorDataline(FontSelector value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.